Package org.flowable.cmmn.model

# Class ScriptInfo

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.ScriptInfo

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ScriptInfo extends BaseElement
Contains relevant information for script evaluation.

Author:
  Arthur Hupka-Merle

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `language`
  `protected String`
  `resultVariable`
  `protected String`
  `script`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ScriptInfo`
  `clone()`
  `String`
  `getLanguage()`
  The script language
  `String`
  `getResultVariable()`
  The name of the result variable where the script return value is written to.
  `String`
  `getScript()`
  The actual script payload in the provided language.
  `void`
  `setLanguage(String language)`
  The script language
  `void`
  `setResultVariable(String resultVariable)`
  `void`
  `setScript(String script)`
  Set the script payload in the provided language.

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### language

    protected String language

  - ### resultVariable

    protected String resultVariable

  - ### script

    protected String script

- ## Constructor Details

  - ### ScriptInfo

    public ScriptInfo()

- ## Method Details

  - ### getLanguage

    public String getLanguage()
    The script language

  - ### setLanguage

    public void setLanguage(String language)
    The script language

  - ### getResultVariable

    public String getResultVariable()
    The name of the result variable where the script return value is written to.

  - ### setResultVariable

    public void setResultVariable(String resultVariable)
    See Also:
      - `getResultVariable()`

  - ### getScript

    public String getScript()
    The actual script payload in the provided language.

  - ### setScript

    public void setScript(String script)
    Set the script payload in the provided language.

  - ### clone

    public ScriptInfo clone()
    Overrides:
      `clone` in class `Object`